## pytest 8.4.2

=== doc/en/requirements.txt ===
-c broken-dep-constraints.txt
pluggy>=1.5.0
pygments-pytest>=2.3.0
sphinx-removed-in>=0.2.0
sphinx>=7
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter
furo
sphinxcontrib-towncrier
sphinx-issues

=== testing/plugins_integration/requirements.txt ===
anyio[trio]==4.9.0
django==5.2.1
pytest-asyncio==0.26.0
pytest-bdd==8.1.0
pytest-cov==6.1.1
pytest-django==4.11.1
pytest-flakes==4.0.5
pytest-html==4.1.1
pytest-mock==3.14.1
pytest-rerunfailures==15.1
pytest-sugar==1.0.0
pytest-trio==0.8.0
pytest-twisted==1.14.3
twisted==24.11.0
pytest-xvfb==3.1.1

=== debian/changelog ===
pytest (8.4.2-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 8.4.2

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Sep 2025 19:21:54 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 lsof <!nocheck>,
 pybuild-plugin-pyproject,
 python-numpy-doc <!nodoc>,
 python-setuptools-doc <!nodoc>,
 python3-all,
 python3-argcomplete <!nocheck>,
 python3-attr <!nocheck>,
 python3-doc <!nodoc>,
 python3-hypothesis <!nocheck>,
 python3-iniconfig,
 python3-numpy <!nocheck>,
 python3-packaging,
 python3-pluggy (>= 1.6.0),
 python3-pygments <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinxcontrib-towncrier <!nodoc>,
 python3-xmlschema <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-pytest,
Multi-Arch: foreign
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygments,
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
export PYBUILD_BEFORE_TEST=mkdir -p {dir}/debian/tmp/test-working-directory
export PYBUILD_AFTER_TEST=rm -rf {dir}/debian/tmp/test-working-directory
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=cd {dir}/debian/tmp/test-working-directory && \
	{interpreter} -m pytest --lsof -rfsxX \
		--ignore={dir}/testing/test_entry_points.py \
		--ignore={dir}/testing/test_terminal.py \
		-k 'not test_code_highlight' \
		{dir}/testing

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3) \
		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		$(MAKE) -C doc/en man html
endif

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/pytest/
Matching-Pattern: pytest-@SEMANTIC_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: auto
Dversion-Mangle: auto

## pytest 9.0.0

=== testing/plugins_integration/requirements.txt ===
anyio[trio]==4.11.0
django==5.2.8
pytest-asyncio==1.2.0
pytest-bdd==8.1.0
pytest-cov==7.0.0
pytest-django==4.11.1
pytest-flakes==4.0.5
pytest-html==4.1.1
pytest-mock==3.15.1
pytest-rerunfailures==16.1
pytest-sugar==1.1.1
pytest-trio==0.8.0
pytest-twisted==1.14.3
twisted==25.5.0
pytest-xvfb==3.1.1

=== debian/changelog ===
pytest (9.0.0-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * update description "py.test" -> "pytest"
  * drop "Rules-Requires-Root: no": it is the default now

  [ Timo Röhling ]
  * New upstream version 9.0.0
  * Refresh patches (no functional changes)
  * New dependency python3-sphinx-inline-tabs

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Nov 2025 09:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
@@ -35,7 +36,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python-pytest-doc
 Section: doc
@@ -65,4 +65,4 @@
  boilerplate code around the tests, promoting the use of built-in
  mechanisms such as the `assert` keyword.
  .
- This package provides the Python 3 module and the py.test-3 script.
+ This package provides the Python 3 module and the pytest script.

## pytest 9.0.1

=== doc/en/requirements.txt ===
-c broken-dep-constraints.txt
pluggy>=1.5.0
pygments-pytest>=2.5.0
sphinx-removed-in>=0.2.0
sphinx>=7
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter
furo
sphinxcontrib-towncrier
sphinx-issues
sphinx-inline-tabs

=== testing/plugins_integration/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 anyio[trio]==4.11.0
 django==5.2.8
-pytest-asyncio==1.2.0
+pytest-asyncio==1.3.0
 pytest-bdd==8.1.0
 pytest-cov==7.0.0
 pytest-django==4.11.1

=== debian/changelog ===
pytest (9.0.1-1) experimental; urgency=medium

  * New upstream version 9.0.1

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Nov 2025 11:30:03 +0100

## pytest 9.0.2

=== debian/changelog ===
pytest (9.0.2-3) unstable; urgency=medium

  * Add python3-pytest-subtests transitional dummy package (Closes: #1127333)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Mar 2026 17:38:38 +0100

pytest (9.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 14 Dec 2025 22:52:49 +0100

pytest (9.0.2-1) experimental; urgency=medium

  * New upstream version 9.0.2
  * pytest-subtests is part of pytest itself now

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Dec 2025 11:07:17 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
@@ -58,6 +58,12 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-pytest-subtests (<< 0.15.0+),
+Replaces:
+ python3-pytest-subtests (<< 0.15.0+),
+Provides:
+ python3-pytest-subtests,
 Recommends:
  python3-pygments,
 Description: Simple, powerful testing in Python3
@@ -66,3 +72,18 @@
  mechanisms such as the `assert` keyword.
  .
  This package provides the Python 3 module and the pytest script.
+
+Package: python3-pytest-subtests
+Section: oldlibs
+Architecture: all
+Depends:
+ python3-pytest,
+ ${misc:Depends},
+Description: Subtests fixture plugin for pytest (transitional dummy package)
+ This package used to provide unittest subTest() support and a subtests
+ fixture, adding support for TestCase.subTest and providing similar
+ functionality for pure pytest tests.
+ .
+ Starting with Pytest 9, this functionality has been integrated into Pytest
+ itself. This is now a transitional dummy package to ease upgrades and can
+ be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=pytest
 
@@ -25,3 +27,7 @@
 		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		$(MAKE) -C doc/en man html
 endif
+
+override_dh_gencontrol:
+	dh_gencontrol -ppython3-pytest-subtests -- -v0.15.0++$(DEB_VERSION_UPSTREAM_REVISION)
+	dh_gencontrol --remaining-packages

## pytest asyncio-1.0.0

=== dependencies/docs/requirements.txt ===
sphinx >= 5.3
sphinx-rtd-theme >= 1.0

## pytest cov-7.0.0

=== ci/requirements.txt ===
pip>=25
setuptools>=80
tox>=4
virtualenv>=20.34

## pytest databases-0.3.0

=== Makefile ===
.DEFAULT_GOAL:=help
.ONESHELL:
ENV_PREFIX		        =.venv/bin/
VENV_EXISTS           =	$(shell python3 -c "if __import__('pathlib').Path('.venv/bin/activate').exists(): print('yes')")
BUILD_DIR             =dist
SRC_DIR               =src
BASE_DIR              =$(shell pwd)

.EXPORT_ALL_VARIABLES:

ifndef VERBOSE
.SILENT:
endif


help:  ## Display this help
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)


# =============================================================================
# Developer Utils
# =============================================================================
install-pipx: 										## Install pipx
	@python3 -m pip install --upgrade --user pipx

install-hatch: 										## Install Hatch, UV, and Ruff
	@pipx install hatch --force
	@pipx inject hatch ruff uv hatch-pip-compile hatch-vcs hatch-mypyc mypy --include-deps --include-apps --force

configure-hatch: 										## Configure Hatch defaults
	@hatch config set dirs.env.virtual .direnv
	@hatch config set dirs.env.pip-compile .direnv

upgrade-hatch: 										## Update Hatch, UV, and Ruff
	@pipx upgrade hatch --include-injected

install: 										## Install the project and all dependencies
	@if [ "$(VENV_EXISTS)" ]; then echo "=> Removing existing virtual environment"; $(MAKE) destroy-venv; fi
	@$(MAKE) clean
	@if ! pipx --version > /dev/null; then echo '=> Installing `pipx`'; $(MAKE) install-pipx ; fi
	@if ! hatch --version > /dev/null; then echo '=> Installing `hatch` with `pipx`'; $(MAKE) install-hatch ; fi
	@if ! hatch-pip-compile --version > /dev/null; then echo '=> Updating `hatch` and installing plugins'; $(MAKE) upgrade-hatch ; fi
	@echo "=> Creating Python environments..."
	@$(MAKE) configure-hatch
	@hatch env create local
	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"


.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@hatch-pip-compile --upgrade --all
	@echo "=> Python Dependencies Updated"
	@hatch run lint:pre-commit autoupdate
	@echo "=> Updated Pre-commit"


.PHONY: clean
clean: 														## remove all build, testing, and static documentation files
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ dist/ .eggs/ .coverage coverage.xml coverage.json htmlcov/ .mypy_cache
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -name '*.egg' -exec rm -f {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.pytest_cache' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@echo "=> Source cleaned successfully"

deep-clean: clean destroy-venv							## Clean everything up
	@hatch python remove all
	@echo "=> Hatch environments pruned and python installations trimmed"
	@uv cache clean
	@echo "=> UV Cache cleaned successfully"

destroy-venv: 											## Destroy the virtual environment
	@hatch env prune
	@hatch env remove lint
	@rm -Rf .venv
	@rm -Rf .direnv

.PHONY: build
build: clean        ## Build and package the collectors
	@echo "=> Building package..."
	@hatch build
	@echo "=> Package build complete..."


###############
# docs        #
###############
.PHONY: serve-docs
serve-docs:       ## Serve HTML documentation
	@hatch run docs:serve

.PHONY: docs
docs:       ## generate HTML documentation and serve it to the browser
	@hatch run docs:build


# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: lint
lint: 												## Runs pre-commit hooks; includes ruff linting, codespell, black
	@echo "=> Running pre-commit process"
	@hatch run lint:fix
	@echo "=> Pre-commit complete"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@hatch run test:cov
	@echo "=> Tests complete"

=== requirements/requirements.txt ===
#
# This file is autogenerated by hatch-pip-compile with Python 3.11
#
# - pytest
#

iniconfig==2.0.0
    # via pytest
packaging==24.0
    # via pytest
pluggy==1.4.0
    # via pytest
pytest==8.1.1

## pytest django-4.9.0

=== Makefile ===
.PHONY: docs test clean fix

test:
	tox -e py311-dj42-sqlite_file

docs:
	tox -e docs

fix:
	ruff check --fix pytest_django pytest_django_test tests

clean:
	rm -rf bin include/ lib/ man/ pytest_django.egg-info/ build/

## pytest eucalyptus-0.4.1

=== requirements.txt ===
ansicolors>=1.1.8
colorama>=0.3.9
gherkin-official>=4.1.3, <5
repoze.lru
pytest>=4.2.0

## pytest examples-0.0.15

=== Makefile ===
.DEFAULT_GOAL := all
sources = pytest_examples tests example

.PHONY: .uv  # Check that uv is installed
.uv:
	@uv --version || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: install  # Install the package, dependencies, and pre-commit for local development
install: .uv
	uv sync --frozen --group lint
	uv run pre-commit install --install-hooks

.PHONY: format  # Format the code
format:
	uv run ruff format
	uv run ruff check --fix --fix-only

.PHONY: lint  # Lint the code
lint:
	uv run ruff format --check
	uv run ruff check

.PHONY: typecheck
typecheck:
	uv run pyright

.PHONY: test
test:
	uv run pytest

.PHONY: test-all-python  # Run tests on Python 3.9 to 3.13
test-all-python:
	UV_PROJECT_ENVIRONMENT=.venv39 uv run --python 3.9 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv310 uv run --python 3.10 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv311 uv run --python 3.11 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv312 uv run --python 3.12 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv313 uv run --python 3.13 coverage run -p -m pytest
	@uv run coverage combine
	@uv run coverage report

.PHONY: testcov  # Run tests and collect coverage data
testcov:
	uv run coverage run -m pytest
	@uv run coverage report
	@uv run coverage html

.PHONY: all
all: format lint typecheck testcov

## pytest html-4.1.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --resolver=backtracking requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
certifi==2023.5.7
    # via requests
charset-normalizer==3.1.0
    # via requests
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==6.6.0
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.2
    # via jinja2
packaging==23.1
    # via sphinx
pygments==2.15.1
    # via sphinx
requests==2.30.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==6.2.1
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==1.2.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==2.0.2
    # via requests
zipp==3.15.0
    # via importlib-metadata

## pytest html-4.2.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --resolver=backtracking requirements.in
#
alabaster==1.0.0
    # via sphinx
babel==2.17.0
    # via sphinx
certifi==2024.7.4
    # via requests
charset-normalizer==3.1.0
    # via requests
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via sphinx
markupsafe==2.1.2
    # via jinja2
packaging==23.1
    # via sphinx
pygments==2.19.1
    # via sphinx
requests==2.32.2
    # via sphinx
roman-numerals-py==3.1.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.2.3
    # via
    #   -r docs/requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==3.0.2
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.2.2
    # via requests

## pytest httpserver-0.3.3

=== tests/assets/Makefile ===


all: server.crt


rootCA.key:
	openssl genrsa -out rootCA.key 2048
	
rootCA.crt: rootCA.key rootCA.cnf
	openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 365 -out rootCA.crt -config rootCA.cnf

server.csr server.key: server.cnf
	openssl req -new -sha256 -nodes -out server.csr -newkey rsa:2048 -keyout server.key -config server.cnf

server.crt: server.csr rootCA.crt rootCA.key v3.ext
	openssl x509 -req -in server.csr -CA rootCA.crt -CAkey rootCA.key -CAcreateserial -out server.crt -days 500 -sha256 -extfile v3.ext
	
clean:
	rm -f rootCA.key rootCA.crt server.csr server.key server.crt

## pytest httpserver-0.3.6

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytest_httpserver
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== tests/assets/Makefile ===


all: server.crt


rootCA.key:
	openssl genrsa -out rootCA.key 2048

rootCA.crt: rootCA.key rootCA.cnf
	openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 11083 -out rootCA.crt -config rootCA.cnf

server.csr server.key: server.cnf
	openssl req -new -sha256 -nodes -out server.csr -newkey rsa:2048 -keyout server.key -config server.cnf

server.crt: server.csr rootCA.crt rootCA.key v3.ext
	openssl x509 -req -in server.csr -CA rootCA.crt -CAkey rootCA.key -CAcreateserial -out server.crt -days 11083 -sha256 -extfile v3.ext

clean:
	rm -f rootCA.key rootCA.crt server.csr server.key server.crt

## pytest httpserver-1.1.4

=== tests/assets/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	openssl genrsa -out rootCA.key 2048
 
 rootCA.crt: rootCA.key rootCA.cnf
-	openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 11083 -out rootCA.crt -config rootCA.cnf
+	openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 11083 -out rootCA.crt -config rootCA.cnf -extensions ext
 
 server.csr server.key: server.cnf
 	openssl req -new -sha256 -nodes -out server.csr -newkey rsa:2048 -keyout server.key -config server.cnf
@@ -17,5 +17,3 @@
 
 clean:
 	rm -f rootCA.key rootCA.crt server.csr server.key server.crt
-
-

## pytest localftpserver-1.3.2

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 pytest_localftpserver tests

test: ## run tests quickly with the default Python
	tox -e py39

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source pytest_localftpserver -m pytest

		coverage report -m
		coverage html
		$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/pytest_localftpserver.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ pytest_localftpserver
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean dist ## package and upload a release
	twine upload dist/*.tar.gz

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = glotaran
SOURCEDIR     = .
BUILDDIR      = _build
API_TOCTREE_DIR	= api

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean_all:
	rm -rf $(BUILDDIR)/*
	rm -rf $(API_TOCTREE_DIR)/*

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pytest localftpserver-1.4.0

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 endef
 export PRINT_HELP_PYSCRIPT
 BROWSER := python -c "$$BROWSER_PYSCRIPT"
+
+
+DEFAULT_PY ?= 3.12
 
 help:
 	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
@@ -51,7 +54,7 @@
 	flake8 pytest_localftpserver tests
 
 test: ## run tests quickly with the default Python
-	tox -e py39
+	tox -e $(DEFAULT_PY)
 
 test-all: ## run tests on every Python version with tox
 	tox

## pytest loop-1.0.13

=== requirements.txt ===
anyio==4.6.2.post1
arrow==1.3.0
backports.tarfile==1.2.0
binaryornot==0.4.4
build==1.2.2.post1
cachetools==5.5.0
certifi==2024.8.30
chardet==5.2.0
charset-normalizer==3.4.0
click==8.1.7
colorama==0.4.6
cookiecutter==2.6.0
distlib==0.3.9
filelock==3.16.1
h11==0.14.0
hatch==1.13.0
hatchling==1.25.0
httpcore==1.0.6
httpx==0.27.2
hyperlink==21.0.0
idna==3.10
importlib_metadata==8.5.0
iniconfig==2.0.0
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
Jinja2==3.1.4
keyring==25.4.1
markdown-it-py==3.0.0
MarkupSafe==3.0.1
mdurl==0.1.2
more-itertools==10.5.0
nh3==0.2.18
packaging==24.1
pathspec==0.12.1
pexpect==4.9.0
pkginfo==1.11.2
platformdirs==4.3.6
pluggy==1.5.0
ptyprocess==0.7.0
Pygments==2.18.0
pyproject-api==1.8.0
pyproject_hooks==1.2.0
pytest==8.3.3
pytest-html==4.1.1
pytest-metadata==3.1.1
python-dateutil==2.9.0.post0
python-slugify==8.0.4
pywin32-ctypes==0.2.3
PyYAML==6.0.2
requests==2.32.3
rfc3986==2.0.0
rich==13.9.2
shellingham==1.5.4
six==1.16.0
sniffio==1.3.1
text-unidecode==1.3
tomli_w==1.1.0
tomlkit==0.13.2
tox==4.23.0
trove-classifiers==2024.10.16
types-python-dateutil==2.9.0.20241003
urllib3==2.2.3
userpath==1.9.2
uv==0.4.23
versioningit==3.1.2
virtualenv==20.26.6
zipp==3.20.2
zstandard==0.23.0

## pytest matcher-2.0.2

=== doc/requirements.txt ===
# SPDX-FileCopyrightText: 2017-now Alex Turbov <zaufi@pm.me>
# SPDX-License-Identifier: CC0-1.0

sphinx
sphinx_rtd_theme
-e .

## pytest mproc-1.2.10

=== requirements.txt ===
pytest
pytest-cov
pytest-html
twine
sphinx

=== docsrc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

github:
	@make html
	@cp -a _build/html/. ../docs

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pytest mproc-5.0.8

=== requirements.txt ===
-r pure_requirements.txt
-r impure_requirements.txt

## pytest mproc-5.1.12

=== requirements.txt ===
pytest>=6
requests>=2.27
aiofile>=3.7
aiocontext>=0.1
aiohttp>=3.8

## pytest netdut-0.3.1

=== Makefile ===
# -------------------------------------------------------------------------------
# - Copyright (c) 2021-2022 Arista Networks, Inc. All rights reserved.
# -------------------------------------------------------------------------------
# - Author:
# -   fdk-support@arista.com
# -
# - Description:
# -   Makefile to build pytest-netdut tests.
# -
# -   Licensed under BSD 3-clause license:
# -     https://opensource.org/licenses/BSD-3-Clause
# -
# - Tags:
# -   license-bsd-3-clause
# -
# -------------------------------------------------------------------------------

BUILD_DIR=$(CURDIR)/build

.PHONY:tox_docker package_docker mkdocs_docker ci all clean
.SECONDEXPANSION:

all: package_docker
ci: tox_docker

# Any target that ends in a slash is a directory to be mkdir'd
%/:
	mkdir -p $@

tox_docker: |$(BUILD_DIR)/
	rm -rf $(BUILD_DIR)/test-reports
	DOCKER_BUILDKIT=1 docker build . --target=results  --output=type=local,dest=$(BUILD_DIR)/test-reports && \
		touch $(BUILD_DIR)/test-reports/*.xml

mkdocs_docker: |$(BUILD_DIR)
	DOCKER_BUILDKIT=1 docker build . --target=docs  --output=type=local,dest=$(BUILD_DIR)/docs

package_docker: |$(BUILD_DIR)/
	DOCKER_BUILDKIT=1 docker build . --target=package --output=type=local,dest=$(BUILD_DIR)/dist

clean:
	rm -rf $(BUILD_DIR)

=== docs/requirements.txt ===
mkdocs
mkdocs-material
mkdocstrings[python]

#netdut dependencies
pytest
pyeapi
pexpect

## pytest netdut-0.12.2

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 tox_docker: |$(BUILD_DIR)/
 	rm -rf $(BUILD_DIR)/test-reports
-	DOCKER_BUILDKIT=1 docker build . --target=results  --output=type=local,dest=$(BUILD_DIR)/test-reports && \
+	docker buildx build . --target=results  --output=type=local,dest=$(BUILD_DIR)/test-reports && \
 		touch $(BUILD_DIR)/test-reports/*.xml
 
 mkdocs_docker: |$(BUILD_DIR)

## pytest notebook-0.8.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: all help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext customdefault

## Runs with nitty-pick and converting warnings into errors to
## make sure the documentation is properly written
customdefault:
	$(SPHINXBUILD) -b html -nW --keep-going $(ALLSPHINXOPTS) $(BUILDDIR)/html

# similar to customdefault but does raise error on first warning
debug:
	$(SPHINXBUILD) -b html -n $(ALLSPHINXOPTS) $(BUILDDIR)/html

all: html

clean:
	rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."


view:
	xdg-open $(BUILDDIR)/html/index.html

## pytest oar-1.2.2

=== requirements.txt ===
attrs==22.2.0
certifi==2022.12.7
charset-normalizer==3.0.1
idna==3.4
iniconfig==2.0.0
packaging==23.0
pluggy==1.0.0
pydantic==1.10.5
pytest==7.2.1
requests==2.28.2
tomli==2.0.1
typing_extensions==4.5.0
urllib3==1.26.14

## pytest plugins-0.4.8

=== requirements.txt ===
setuptools
wheel
dotenv
colorlog
pytest
pytest-rerunfailures
custom-python-logger

## pytest plugins-1.0.8

=== requirements.txt ===
setuptools
wheel
python-dotenv
pre-commit
colorlog
pytest
pytest-rerunfailures
custom-python-logger
python-base-toolkit
pandas

## pytest pycodestyle-2.4.1

=== Makefile ===
SHELL := /bin/bash
PACKAGE := $(shell \grep "name=" setup.py | \sed -e "s/ *name='\(.*\)',/\1/")
VERSION := $(shell \cat VERSION)

install:
	pip install .
.PHONY: install

uninstall:
	pip uninstall -y $(PACKAGE)
.PHONY: uninstall

update: clean uninstall install
.PHONY: update

clean:
	${RM} -fr {.,src,tests}/*.egg-info {.,src,tests}/.cache {.,src,tests}/.pytest_cache {.,src,tests}/__pycache__
.PHONY: clean

setup:
	pip install -e .[tests]
.PHONY: setup

test:
	pytest src tests
.PHONY: test

sdist: clean
	python setup.py sdist
.PHONY: sdist

## pytest qgis-2.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile
#
atomicwrites==1.4.1
    # via pytest
attrs==23.1.0
    # via pytest
colorama==0.4.6
    # via pytest
iniconfig==2.0.0
    # via pytest
packaging==23.2
    # via pytest
pluggy==1.3.0
    # via pytest
py==1.11.0
    # via pytest
pytest==6.2.5
    # via -r requirements.in
toml==0.10.2
    # via pytest

## pytest sauce-0.2.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html html_venv dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Subscribepyramidplugin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Subscribepyramidplugin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Subscribepyramidplugin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Subscribepyramidplugin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pytest testinfra-10.2.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/testinfra.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/testinfra.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/testinfra"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/testinfra"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
